net.minecraft.client.mco

## Class Request

- java.lang.Object
- - net.minecraft.client.mco.Request

- Direct Known Subclasses:
    RequestDelete, RequestGet, RequestPost, RequestPut

      public abstract class Request
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request(String par1Str, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_100006_a(String par1Str, String par2Str)`
    `static Request` | `func_96353_a(String par0Str, String par1Str, int par2, int par3)`
    `static Request` | `func_96355_b(String par0Str)`
    `static Request` | `func_96358_a(String par0Str)`
    `static Request` | `func_96361_b(String par0Str, String par1Str)`
    `int` | `func_96362_a()`
    `static Request` | `func_96363_c(String par0Str, String par1Str)`
    `String` | `func_96364_c()`
    `McoOption` | `func_98175_b()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Request

          public Request(String par1Str,
                 int par2,
                 int par3)

  - ### Method Detail

    - #### func_100006_a

          public void func_100006_a(String par1Str,
                           String par2Str)

    - #### func_96362_a

          public int func_96362_a()

    - #### func_98175_b

          public McoOption func_98175_b()

    - #### func_96364_c

          public String func_96364_c()

    - #### func_96358_a

          public static Request func_96358_a(String par0Str)

    - #### func_96361_b

          public static Request func_96361_b(String par0Str,
                             String par1Str)

    - #### func_96355_b

          public static Request func_96355_b(String par0Str)

    - #### func_96363_c

          public static Request func_96363_c(String par0Str,
                             String par1Str)

    - #### func_96353_a

          public static Request func_96353_a(String par0Str,
                             String par1Str,
                             int par2,
                             int par3)